with Ada.Finalization;

package czlowiek is
    type obj_public is tagged record
        v1: Integer;
    end record;

    type obj is new obj_public with private;

    procedure init(This: in out obj; val: Integer);

    private

    type obj_private;
    type obj_private_ptr is access obj_private;

    type obj_protected is new Ada.Finalization.Controlled with record
        v2: Integer;
    end record;

    type obj is new obj_public with record
        prot: obj_protected;
        p: obj_private_ptr;
    end record;

    procedure proc_protected(This: obj);

end czlowiek;
